.references {
  font-family: $lato-font;
  background-image: url("../img/references/references-bg.png"), linear-gradient(to bottom, rgba(75, 59, 78, 1) 0%, rgba(75, 59, 78, 1) 100%);
  background-repeat: no-repeat;
  background-size: 480%;
  background-position: 49% 0;

  &__section {
    @include page-container;
  }

  &__heading {
    font-family: $montserrat-font;
    font-weight: bold;
    font-size: 36px;
    color: white;
    text-align: center;
    padding-top: 60px;
    margin-bottom: 10px;
  }

  &__clients-block {
    display: grid;
    grid-template-rows: repeat(6, auto);
    justify-content: center;
  }

  &__client-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin-top: 45px;
    text-align: center;
  }

  &__logo-container {
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
  }

  &__client-text {
    font-style: italic;
    font-weight: bold;
    font-size: 16px;
    line-height: 24px;
    color: white;
  }

  &__text {
    position: relative;
    font-size: 14px;
    text-align: center;
    line-height: 21px;
    color: #A291A5;
    padding-bottom: 20px;
    max-width: 900px;
    margin: 35px auto 0 auto;
  }

  &__text:after {
    content: '';
    width: 80%;
    border: 1px solid #645766;
    position: absolute;
    left: 10%;
    top: 100%;
  }
}

@media screen and (min-width: $s-size) {
.references {
  background-size: 130%;
  background-position: 49% 0;

  &__heading {
    font-size: 42px;
    padding-top: 85px;
  }

  &__clients-block {
    display: grid;
    grid-template-rows: repeat(3, auto);
    grid-template-columns: repeat(2, 48%);
    grid-column-gap: 4%;
    justify-content: center;
    align-items: start;
  }

  &__client-logo {
    height: 25px;
  }

  &__logo-container {
    margin-bottom: 25px;
  }

  &__text {
    margin-top: 65px;
  }

  &__text:after {
    width: 80%;
    left: 10%;
  }
}
}

@media screen and (min-width: $m-size) {
  .references {
    background-size: 135%;
    background-position: bottom;

    &__heading {
      font-size: 48px;
      padding-top: 110px;
    }

    &__clients-block {
      grid-template-rows: repeat(2, auto);
      grid-template-columns: repeat(3, 1fr);
    }

    &__client-container:nth-child(n+4) {
      margin-top: 100px;
    }
  }
}